import { Component } from "react";

import "./NoPrizePanel.less";
import { Button } from "@grace/ui";
import { ModalCtrl } from "@/core/ctrls/ModalCtrl.tsx";

export class NoPrizePanel extends Component<any, any> {

    BTN_MD = {
        new_turntable: '15',
        red: '27',
        final_turntable: '34'
    }

    componentDidMount() {
    }

    clickClose = () => {
        ModalCtrl.closeModal();
    }

    render() {

        const {type} = this.props;

        return <div className="NoPrizePanel modal_center">
            <div className="bg"/>
            <Button className={`btn md${this.BTN_MD[type]}`} onClick={this.clickClose}/>
            <Button className="close" onClick={this.clickClose}/>
        </div>
    }


}
